@media (max-width:991px) {
  .about-brand-company, .about-brand-philosophy {
    grid-template-columns: 1fr;
  }

  .about-brand-cover {
    height: 450px;
  }

  .about-brand-founder-image {
    height: 500px;
  }

  .about-brand-company-title, .about-brand-philosophy-title {
    font-size: 38px;
  }

}

@media (max-width:768px) {

  .about-brand-company{
    margin-top: 50px;
  }

  .about-brand {
    padding: 80px 0;
  }

  .about-brand-cover, .about-brand-founder-image, .about-brand-philosophy-image {
    height: auto !important;
  }

  .about-brand-title {
    font-size: 34px;
  }

  .about-brand-company-title, .about-brand-philosophy-title {
    font-size: 30px;
  }

  .about-brand-stats {
    grid-template-columns: 1fr;
  }
  .hero-left h1, .stat strong {
    font-size: 28px;
  }

  .hero{
    position: relative;
  }

  .oil-stats{
    display: none;
  }

  .about-oil, .products, .factory, .oil-stats, .advantages, .advantages, .partners, .instagram-section, .about-brand, .footer, .benefits{
    padding: 70px 0;
  }

  .stat {
    padding: 0;
    border: 0;
  }

  .hero-left p{
    font-size: 14px;
  }

  .items-oil-stats {
    grid-template-columns: 1fr 1fr;
  }

  .instagram-section .content {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }

  .insta-item-large {
    grid-row: auto;
  }

  .insta-item {
    aspect-ratio: 16 / 16;
  }

  .modal {
    padding: 12px;
    align-items: flex-start;
  }

  .modal-content {
    max-height: calc(100vh - 24px);
    padding: 28px
    20px
    24px;
    border-radius: 24px;
    margin-top: 12px;
  }

  h1, .title {
    font-size: 22px;
  }

  .factory-grid {
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .wrap {
    width: 100%;
    padding: 0 20px;
  }

  .products > .wrap > .flex > .item > .flex-column > .bottom > .flex-space > h2 {
    font-size: 18px;
  }

  .products > .wrap > .flex > .item > .flex-column > .bottom > .approvals > h2 {
    font-size: 12px;
  }

  .benefits > .wrap > .flex {
    flex-direction: column;
  }

  .promotion > .wrap > .flex-center {
    flex-direction: column;
  }

  .products > .wrap > .flex {
    flex-direction: column;
  }

  .advantages > .wrap > .item-box {
    display: flex;
    flex-direction: column;
  }

  .form-grid {
    display: flex !important;
    flex-direction: column !important;
  }

  .about-oil-content {
    flex-direction: column;
  }

  .benefits .title, .products .title, .factory .title {
    font-size: 24px;
    margin: 30px 0;
  }

  .benefits > .wrap > .flex > .item > h2 {
    font-size: 16px;
  }

  .products > .wrap > .flex > .item > .flex-column > .bottom > .flex-space > i, .products > .wrap > .flex > .item > .flex-column > .bottom > .flex-space > h2 {
    flex: 2;
  }

  .products > .wrap > .flex > .item > .flex-column > .bottom > .cert-btn {
    font-size: 14px;
  }

  .advantages > .wrap > .item-box > .item-3 > a, .advantages > .wrap > .item-box > .item-5 > a {
    font-size: 12px;
  }

  .advantages > .wrap > .item-box > .item-logos, .steps > .step:last-child {
    display: none;
  }

  .hero-content > .flex-center > .left > .button-box > .btn-yellow {
    padding: 20px 50px;
    width: 100%;
    text-align: center;
  }

  .products > .wrap > .flex > .item > .flex-column > .bottom > .cert-btn {
    padding: 10px 5px;
  }

  .hero-content {
    padding-inline: 20px;
  }

  .about-oil-cards {
    grid-template-columns: 1fr;
  }

  .about-benefits h3 {
    font-size: 24px;
  }

  .about-benefits li {
    font-size: 16px;
  }

}

@media (max-width:992px) {
  .factory {
    padding: 20px 0;
  }

  .factory-grid {
    grid-template-columns: 1fr;
    grid-template-rows: auto;
  }

  ..factory-grid > .item, ..factory-grid > .item--large, ..factory-grid > .item--wide {
    grid-column: auto;
    grid-row: auto;
    transform: none !important;
  }

}

@media (max-width:1330px) {
  .nav {
    gap: 10px;
  }

  .step {
    padding: 15px;
  }

  .step p {
    font-size: 16px;
  }

}

@media (max-width:1024px) {
  .header-glass {
    height: 72px;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
  }

  .logo img {
    height: 48px;
  }

  .nav, .header-actions {
    display: none;
  }

  .burger {
    display: flex;
  }

}

@media (max-width:991px) {
  .footer-main {
    grid-template-columns: 1fr;
  }

  .footer-brand {
    border-right: none;
    border-bottom: 1px solid #dfe4ea;
    padding-right: 0;
  }

  .footer-content {
    padding-left: 0;
    grid-template-columns: 1fr 1fr;
  }

}

@media (max-width:767px) {
  .footer-content {
    grid-template-columns: 1fr 1fr;
    gap: 50px;
  }

  .footer-bottom {
    flex-direction: column;
    gap: 20px;
    padding: 30px 0;
  }

  .footer-socials {
    margin-top: 60px;
  }

  .footer-route {
    font-size: 10px;
  }

}

@media (max-width:1024px) {
  .hero-body {
    flex-direction: column;
    align-items: flex-start;
    padding: 40px 0;
  }

  .hero-steps {
    width: 100%;
  }

  .hero-header {
    flex-wrap: wrap;
    gap: 20px;
    height: auto;
    padding: 20px 0;
  }

  .nav {
    display: none;
  }

}

@media (max-width:991px) {
  .partners {
    padding: 80px 0;
  }

  .partners-top {
    grid-template-columns: 1fr;
    gap: 50px;
  }

  .partners-title {
    font-size: 48px;
  }

  .partners-text {
    max-width: 100%;
    font-size: 20px;
  }

}

@media (max-width:767px) {
  .partners-title {
    font-size: 34px;
  }

  .partners-actions {
    flex-wrap: wrap;
  }

  .partners-btn {
    width: 100%;
  }

  .partners-btn-arrow,
  .partners-circle {
    display: none;
  }

  .partners-image {
    border-radius: 20px;
  }

  .footer-brand{
    padding: 0;
  }

}

